Subject: Re: [urn] Comments/answers to reasons for changes in PWID URN version 4 - diff version 3 and 4

From: "Svensson, Lars" <[email-masked]>
Date: Mon, 18 Feb 2019 17:05:36 +0000

Dear Eld,

*  'precision-spec' values are not case sensitive (i.e.  "PAGE" /
         "PART" / "PaGe" / ... are valid values as well.)

On Monday, January 21, 2019 2:15 PM, Eld Zierau [mailto:[email-masked]] wrote:

> Is there any particular area you  think needs approvement?

Having re-read the I-D, I'd say that there are two areas still unclear to me:
1) The syntax specification says 
*  'precision-spec' values are not case sensitive (i.e.  "PAGE" /
         "PART" / "PaGe" / ... are valid values as well.)
It says nothing about the other parts so I guess that case sensitiveness defaults to the specification in RFC 8141 §3 [1] which says that all parts of URNs are case sensitive except for the string "urn" and the NID. It would be helpful, though, if that was made explicit (including a reference to RFC 8141 §3).

2) The document refers to a (proposed) registry of archive names without giving any particulars of where this will be set up and who will manage it. If you say that there currently is no information about that, that's fine, otherwise it would be helpful to get more information on that (especially if it's going to be operated by IANA).

[1] https://tools.ietf.org/html/rfc8141#section-3.1

Best,

Lars
 
> -----Original Message-----
> From: Svensson, Lars <[email-masked]>
> Sent: Thursday, January 17, 2019 3:47 PM
> To: Dale R. Worley <[email-masked]>; Eld Zierau <[email-masked]>
> Cc: [email-masked]
> Subject: RE: Re: [urn] Comments/answers to reasons for changes in PWID URN
> version 4 - diff version 3 and 4
> 
> Apologies for not commenting on this draft until now...
> 
> Version 4 of PWID has matured considerably compared to version 3 and I think it
> needs at the most one or two more iterations until it's ready for registration.
> 
> I find the discussion about an IANA registry for names of web archives very
> interesting and would support the creation of such a registry. The number of such
> archives will probably be of manageable size (about the same size as the number of
> national libraries...).
> 
> I also have a number of minor editorial issues but would wait with those until the
> contents of the draft are more stable.
> 
> Best,
> 
> Lars
> 
> > -----Original Message-----
> > From: urn [mailto:[email-masked]] On Behalf Of Dale R. Worley
> > Sent: Monday, November 05, 2018 2:02 AM
> > To: Eld Zierau <[email-masked]>
> > Cc: [email-masked]
> > Subject: [Marketing Mail] Re: [urn] Comments/answers to reasons for
> > changes in PWID URN version 4 - diff version 3 and 4
> >
> > Eld Zierau <[email-masked]> writes:
> > > Here is the promised Word file with differences between version 3
> > > and 4
> >
> > > [2:application/vnd.openxmlformats-officedocument.wordprocessingml.do
> > > cument
> > Show Save:PWID_from_V3_to_V4.docx (81kB)]
> >
> > Why not just give the URL to the datatracker's history page for the I-D:
> > https://datatracker.ietf.org/doc/draft-pwid-urn-specification/history/
> > and the URL for the diff between v3 and v4, in the format that
> > basically everybody in the IETF is familiar with:
> > https://www.ietf.org/rfcdiff?url1=draft-pwid-urn-specification-03&url2
> > =draft-pwid-
> > urn-specification-04
> >
> > Dale
> >
> > _______________________________________________
> > urn mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/urn

---

From: Eld Zierau <[email-masked]>
Date: Thu, 21 Feb 2019 13:44:43 +0000

Thank you Lars

I expect to upload a new version next week which makes these clarifications

Best regards, Eld

-----Original Message-----
From: Svensson, Lars <[email-masked]> 
Sent: Monday, February 18, 2019 6:06 PM
To: Eld Zierau <[email-masked]>; Dale R. Worley <[email-masked]>
Cc: [email-masked]
Subject: RE: Re: [urn] Comments/answers to reasons for changes in PWID URN version 4 - diff version 3 and 4

Dear Eld,

Having re-read the I-D, I'd say that there are two areas still unclear to me:
1) The syntax specification says
*  'precision-spec' values are not case sensitive (i.e.  "PAGE" /
         "PART" / "PaGe" / ... are valid values as well.) It says nothing about the other parts so I guess that case sensitiveness defaults to the specification in RFC 8141 §3 [1] which says that all parts of URNs are case sensitive except for the string "urn" and the NID. It would be helpful, though, if that was made explicit (including a reference to RFC 8141 §3).

Best,

Lars
 
> Subject: RE: Re: [urn] Comments/answers to reasons for changes in PWID 
> URN version 4 - diff version 3 and 4
> 
> Version 4 of PWID has matured considerably compared to version 3 and I 
> think it needs at the most one or two more iterations until it's ready for registration.
> 
> I find the discussion about an IANA registry for names of web archives 
> very interesting and would support the creation of such a registry. 
> The number of such archives will probably be of manageable size (about 
> the same size as the number of national libraries...).
> 
> I also have a number of minor editorial issues but would wait with 
> those until the contents of the draft are more stable.
> 
> Best,
> 
> Lars
> 
> > https://datatracker.ietf.org/doc/draft-pwid-urn-specification/histor
> > y/ and the URL for the diff between v3 and v4, in the format that

---

From: Eld Zierau <[email-masked]>
Date: Wed, 27 Feb 2019 12:59:51 +0000

I have now uploaded a new version with clarifications. I have also had it through an additional language review, and sharpened the language.

I have plans (and allocated time) to start a process of proposing a registry, but it will be much easier to proceed this work if there is an accepted PWID URN to refer to.
Furthermore, I have spoken to the Open Preservation Foundation about hosting a PWID resolver (based on our prototype), which they are interested in. 

Hope this satisfy the comments, otherwise please let me know.

Best regards, Eld
 
-----Original Message-----
From: Eld Zierau 
Sent: Thursday, February 21, 2019 2:45 PM
To: 'Svensson, Lars' <[email-masked]>; Dale R. Worley <[email-masked]>
Cc: [email-masked]
Subject: RE: Re: [urn] Comments/answers to reasons for changes in PWID URN version 4 - diff version 3 and 4

Thank you Lars

Best regards, Eld

-----Original Message-----
From: Svensson, Lars <[email-masked]>
Sent: Monday, February 18, 2019 6:06 PM
To: Eld Zierau <[email-masked]>; Dale R. Worley <[email-masked]>
Cc: [email-masked]
Subject: RE: Re: [urn] Comments/answers to reasons for changes in PWID URN version 4 - diff version 3 and 4

Dear Eld,

Best,

Lars

---

From: [email-masked] (Dale R. Worley)
Date: Wed, 27 Feb 2019 21:38:35 -0500

Eld Zierau <[email-masked]> writes:
> I have now uploaded a new version with clarifications. I have also had
> it through an additional language review, and sharpened the language.

To make everyone's life easier, the new draft is:
draft-pwid-urn-specification-05

Dale